################################################################################
Name:             dogtag-pki-theme
################################################################################

Summary:          Dogtag PKI Theme Package
URL:              http://www.dogtagpki.org/
License:          GPLv2

%if 0%{?rhel}
Version:          10.6.0
Release:          1%{?_timestamp}%{?_commit}%{?dist}
%else
Version:          10.6.0
Release:          1%{?_timestamp}%{?_commit}%{?dist}
%endif

Source:           https://github.com/dogtagpki/pki/archive/v%{version}/pki-%{version}.tar.gz

BuildArch:        noarch

################################################################################
# Build Dependencies
################################################################################

BuildRequires:    cmake >= 2.8.9-1
BuildRequires:    gcc-c++
BuildRequires:    java-1.8.0-openjdk-devel
BuildRequires:    jpackage-utils >= 1.7.5-10

%description
Several PKI packages utilize a "virtual" theme component.  These
"virtual" theme components are "Provided" by various theme "flavors"
including "dogtag" or a user customized theme package.  Consequently,
all "dogtag" and any customized theme components MUST be mutually
exclusive!

################################################################################
%package -n       dogtag-pki-server-theme
################################################################################

Summary:          Dogtag PKI Server Theme Package

Obsoletes:        dogtag-pki-common-theme <= %{version}-%{release}
Obsoletes:        dogtag-pki-common-ui
Obsoletes:        dogtag-pki-ca-theme <= %{version}-%{release}
Obsoletes:        dogtag-pki-ca-ui
Obsoletes:        dogtag-pki-kra-theme <= %{version}-%{release}
Obsoletes:        dogtag-pki-kra-ui
Obsoletes:        dogtag-pki-ocsp-theme <= %{version}-%{release}
Obsoletes:        dogtag-pki-ocsp-ui
Obsoletes:        dogtag-pki-tks-theme <= %{version}-%{release}
Obsoletes:        dogtag-pki-tks-ui
Obsoletes:        dogtag-pki-ra-theme <= %{version}-%{release}
Obsoletes:        dogtag-pki-ra-ui
Obsoletes:        dogtag-pki-tps-theme <= %{version}-%{release}
Obsoletes:        dogtag-pki-tps-ui

Provides:         dogtag-pki-common-theme = %{version}-%{release}
Provides:         pki-server-theme = %{version}-%{release}
Provides:         pki-common-theme = %{version}-%{release}
Provides:         pki-common-ui = %{version}-%{release}

Provides:         dogtag-pki-ca-theme = %{version}-%{release}
Provides:         pki-ca-theme = %{version}-%{release}
Provides:         pki-ca-ui = %{version}-%{release}

Provides:         dogtag-pki-kra-theme = %{version}-%{release}
Provides:         pki-kra-theme = %{version}-%{release}
Provides:         pki-kra-ui = %{version}-%{release}

Provides:         dogtag-pki-ocsp-theme = %{version}-%{release}
Provides:         pki-ocsp-theme = %{version}-%{release}
Provides:         pki-ocsp-ui = %{version}-%{release}

Provides:         dogtag-pki-tks-theme = %{version}-%{release}
Provides:         pki-tks-theme = %{version}-%{release}
Provides:         pki-tks-ui = %{version}-%{release}

Provides:         dogtag-pki-tps-theme = %{version}-%{release}
Provides:         pki-tps-theme = %{version}-%{release}
Provides:         pki-tps-ui = %{version}-%{release}

%description -n   dogtag-pki-server-theme
This PKI Server Framework User Interface contains
Dogtag textual and graphical user interface for PKI Server.

################################################################################
%package -n       dogtag-pki-console-theme
################################################################################

Summary:          Dogtag PKI Console Theme Package

Requires:         java-1.8.0-openjdk

%if 0%{?rhel}
# EPEL version of Dogtag "theme" conflicts with all versions of Red Hat "theme"
Conflicts:        redhat-pki-console-theme
Conflicts:        redhat-pki-console-ui
%endif

Obsoletes:        dogtag-pki-console-ui <= 9

Provides:         pki-console-theme = %{version}-%{release}
Provides:         pki-console-ui = %{version}-%{release}

%description -n   dogtag-pki-console-theme
This PKI Console Theme Package contains
Dogtag textual and graphical user interface for PKI Console.

################################################################################
%prep
################################################################################

%autosetup -n pki-%{version} -p 1

################################################################################
%build
################################################################################

%{__mkdir_p} build
cd build
%cmake \
    -DVERSION=%{version}-%{release} \
    -DVAR_INSTALL_DIR:PATH=/var \
    -DJAVA_LIB_INSTALL_DIR=%{_jnidir} \
    -DBUILD_DOGTAG_PKI_THEME:BOOL=ON \
    ..

################################################################################
%install
################################################################################

cd build

# Do not use _smp_mflags to preserve build order
%{__make} \
    VERBOSE=%{?_verbose} \
    DESTDIR=%{buildroot} \
    INSTALL="install -p" \
    all install

# NOTE:  Several "theme" packages require ownership of the "/usr/share/pki"
#        directory because the PKI subsystems (CA, KRA, OCSP, TKS, TPS)
#        which require them may be installed either independently or in
#        multiple combinations.

################################################################################
%files -n dogtag-pki-server-theme
################################################################################

%defattr(-,root,root,-)
%doc dogtag/common-ui/LICENSE
%dir %{_datadir}/pki
%{_datadir}/pki/common-ui/
%{_datadir}/pki/server/webapps/pki/ca
%{_datadir}/pki/server/webapps/pki/css
%{_datadir}/pki/server/webapps/pki/esc
%{_datadir}/pki/server/webapps/pki/fonts
%{_datadir}/pki/server/webapps/pki/images
%{_datadir}/pki/server/webapps/pki/kra
%{_datadir}/pki/server/webapps/pki/ocsp
%{_datadir}/pki/server/webapps/pki/pki.properties
%{_datadir}/pki/server/webapps/pki/tks

################################################################################
%files -n dogtag-pki-console-theme
################################################################################

%defattr(-,root,root,-)
%doc dogtag/console-ui/LICENSE
%{_javadir}/pki/pki-console-theme.jar

################################################################################
%changelog
################################################################################

* Mon Apr 9 2018 Dogtag PKI Team <pki-devel@redhat.com> - 10.6.0-1
- Updated project URL and package descriptions
- Cleaned up spec file
- Rebased to PKI 10.6.0 final

* Thu Mar 29 2018 Dogtag PKI Team <pki-devel@redhat.com> - 10.6.0-0.3
- Rebased to PKI 10.6.0 beta2

* Thu Mar 15 2018 Dogtag PKI Team <pki-devel@redhat.com> - 10.6.0-0.2
- Rebased to PKI 10.6.0 beta
- Added patches to fix build issue

